Bug 1295456 - Review Request: python-urwidtrees - Tree Widget Container API for the urwid toolkit
Review Request: python-urwidtrees - Tree Widget Container API for the urwid t...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: William Moreno
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1293503
  Show dependency treegraph
 
Reported: 2016-01-04 09:52 EST by Tomas Tomecek
Modified: 2016-03-29 02:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-29 02:19:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
williamjmorenor: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Tomas Tomecek 2016-01-04 09:52:28 EST
Spec URL: https://ttomecek.fedorapeople.org/urwidtrees/python-urwidtrees.spec
SRPM URL: https://ttomecek.fedorapeople.org/urwidtrees/python-urwidtrees-1.0.1.1-1.fc24.src.rpm
Description:

Tree Widget Container API for the urwid toolkit
It uses an MVC approach and allows to build trees of widgets. Its design
goals are

 * clear separation classes that define, decorate and display trees of widgets
 * representation of trees by local operations on node positions
 * easy to use default implementation for simple trees
 * Collapses are considered decoration

Fedora Account System Username: ttomecek
Comment 1 Tomas Tomecek 2016-01-18 04:40:06 EST
Any update?
Comment 2 Upstream Release Monitoring 2016-01-18 17:52:44 EST
williamjmorenor's scratch build of python-urwidtrees-1.0.1.1-1.fc24.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12597310
Comment 3 William Moreno 2016-01-18 17:55:54 EST
Sorry for the late feedback but my build is failing in f23 and rawhide.
Comment 4 Upstream Release Monitoring 2016-01-22 08:12:33 EST
ttomecek's scratch build of python-urwidtrees-1.0.1-1.fc22.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12647780
Comment 5 Upstream Release Monitoring 2016-01-22 08:16:30 EST
ttomecek's scratch build of python-urwidtrees-1.0.1-1.fc22.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12647826
Comment 6 Upstream Release Monitoring 2016-01-22 08:23:30 EST
ttomecek's scratch build of python-urwidtrees-1.0.1-1.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12647868
Comment 7 Tomas Tomecek 2016-01-22 08:32:00 EST
Oh, it was working for me locally but I haven't tried koji, my bad, sorry about that.

Here's a successful koji build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=12647868


I have also updated spec and srpm at fp:

https://ttomecek.fedorapeople.org/urwidtrees/python-urwidtrees.spec
https://ttomecek.fedorapeople.org/urwidtrees/python-urwidtrees-1.0.1-1.fc22.src.rpm
Comment 8 William Moreno 2016-02-18 13:52:19 EST
The package named according to the Package Naming Guidelines OK
The spec file name must match the base package %{name} OK 
The package must be licensed with a Fedora approved license OK
The License field match the actual license OK
The spec file must be written in American English OK
The spec file for the package MUST be legible OK
The package build in rawhide OK
BuildRequires OK
No bundled libraries OK
Directories ownership OK
Permissions on files OK
Consistently use macros OK
Source is code nor binary OK

Need work:
The text of the license must be included in %license.
See: https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

Large documentation files must go in a -doc subpackage. There is a sphinx doc than you can build and include as subpackage.
Comment 9 Tomas Tomecek 2016-02-19 06:02:13 EST
(In reply to William Moreno from comment #8)
> Need work:
> The text of the license must be included in %license.
> See:
> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/
> LicensingGuidelines#License_Text

Upstream doesn't include it. Tried to ask for a release with license:

https://github.com/pazz/urwidtrees/issues/23#issuecomment-168948700

> Large documentation files must go in a -doc subpackage. There is a sphinx
> doc than you can build and include as subpackage.

good point, will do
Comment 10 William Moreno 2016-02-19 11:59:52 EST
There is a text with the license upstream:
https://github.com/pazz/urwidtrees/blob/master/LICENSE.md

You can patch it and include it in the rpm.
Comment 11 Upstream Release Monitoring 2016-02-22 04:33:25 EST
ttomecek's scratch build of python-urwidtrees-1.0.0-1.gitfbcb183.fc22.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13090507
Comment 12 Upstream Release Monitoring 2016-02-22 04:52:07 EST
ttomecek's scratch build of python-urwidtrees-1.0.0-1.gitfbcb183.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13090685
Comment 13 Tomas Tomecek 2016-02-22 04:56:13 EST
Updated

koji task: http://koji.fedoraproject.org/koji/taskinfo?taskID=13090686

spec: https://ttomecek.fedorapeople.org/urwidtrees/python-urwidtrees.spec
srpm: https://ttomecek.fedorapeople.org/urwidtrees/python-urwidtrees-1.0-1.gitfbcb183.fc22.src.rpm


Added %license to every subpackage.
Added python-urwidtrees-doc subpackage with documentation.
Synced version with upstream.
Comment 14 William Moreno 2016-02-22 12:07:15 EST
Package Aproved
===============
Comment 15 Tomas Tomecek 2016-02-23 04:59:02 EST
William, thanks a lot for the review.
Comment 16 Gwyn Ciesla 2016-02-23 11:00:02 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-urwidtrees
Comment 17 Mike McCune 2016-03-28 19:45:25 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.